{#<pagetitle>NHS.UK | Have you made a previous claim</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/radios/macro.njk' import radios %}

<form action="previous-claim-question" class="form" method="post" name="previousClaimQuestionForm">
    <fieldset class="nhsuk-fieldset">
        {{ heading({
               subHeading:{ text: 'previous-claim-question.section.heading'},
               text: 'previous-claim-question.h1',
               classes: 'nhsuk-heading-l govuk-heading-l',
               locale: locale
           })
        }}
	  <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}" id="radios-previousClaimQuestion">
        {{ p({text: 'previous-claim-question.p1', locale:locale}) }}
		{% for error in errors %}
			{% if error.param == 'Yes'%}
				<span class="nhsuk-error-message" id="who-is-completing-form-error" >
						{{ __({phrase: 'common.errors.E0016', locale: error.locale }) }}
				</span>
			{% endif%}
		{% endfor %}
        {{ radios({
          "idPrefix": "PreviousClaim",
          "name": "PreviousClaim",
          "items": [
            {
              "checked": (data.Data.PreviousClaim === 'Yes'),
              "id": "Yes",
              "value": "Yes",
              "text": "previous-claim-question.option1",
              "locale": locale
            },
            {
              "checked": (data.Data.PreviousClaim === 'No'),
              "id": "No",
              "value": "No",
              "text": "previous-claim-question.option2",
              "locale": locale
            }
          ]
        }) }}
	  </div>
	<br/>
   {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>
